The .Net runtime interface could not be retrieved,,I need help!

Feb 25, 2014 at 7:36 AM
Edited Feb 25, 2014 at 7:42 AM
System Info: Windows7 x64 and .net Freamwork 4.0

I can run with the.net 2.0 to create the software, but run dna-addin report error:

Image


The software can run normally on other machines,which is also Windows7 x64
Coordinator
Feb 25, 2014 at 11:32 AM
This add-in is trying to load the .NET Runtime version 2.0. Is that what you're expecting?
Could you post your .dna file?

Now, it might be that .NET 2.0 is not installed on this machine.
Otherwise there is some error in trying to load the .NET framework meta-loader. Is there a file called "excel.exe.config" in the Office director next to Excel.exe? If so, it might contain some entries that constrain which .NET version can be loaded into the Excel process.
Could you check and post that file if it exists?

-Govert
Coordinator
Feb 25, 2014 at 2:16 PM
This discussion also seems to mention the same error: https://groups.google.com/forum/#!topic/exceldna/ugb1vrJJ1zY
Re-installing the .NET Framework resolved the error in that case.

-Govert
Apr 14, 2014 at 4:02 AM
Edited Apr 14, 2014 at 4:03 AM
thanks govert,I have found the method to solve the problem.

I make a File named Excel.exe.config in The Excel InstallRoot,content like this:

<configuration>

<startup>

<supportedRuntime version="v2.0.50727" />

</startup>

</configuration>